OgreRenderSystem.h File Reference
`#include "OgrePrerequisites.h"`
`#include "OgreString.h"`
`#include "OgreTextureUnitState.h"`
`#include "OgreCommon.h"`
`#include "OgreMaterialManager.h"`
`#include "OgreRenderOperation.h"`
`#include "OgreRenderSystemCapabilities.h"`
`#include "OgreRenderTarget.h"`
`#include "OgreRenderTexture.h"`
`#include "OgreFrameListener.h"`
`#include "OgreConfigOptionMap.h"`
`#include "OgreGpuProgram.h"`
`#include "OgrePlane.h"`
`#include "OgreIteratorWrappers.h"`

Go to the source code of this file.

## Classes

class | Ogre::RenderSystem
| Defines the functionality of a 3D API. More...
struct | Ogre::RenderSystem::RenderSystemContext
class | Ogre::RenderSystem::Listener
| Defines a listener on the custom events that this render system can raise. More...

## Namespaces

namespace | Ogre

## Typedefs

typedef vector< DepthBuffer * > ::type | Ogre::DepthBufferVec
typedef map< uint16, DepthBufferVec >::type | Ogre::DepthBufferMap
typedef map< String, RenderTarget * >::type | Ogre::RenderTargetMap
typedef multimap< uchar, RenderTarget * >::type | Ogre::RenderTargetPriorityMap

## Enumerations

enum | Ogre::TexCoordCalcMethod { Ogre::TEXCALC_NONE, Ogre::TEXCALC_ENVIRONMENT_MAP, Ogre::TEXCALC_ENVIRONMENT_MAP_PLANAR, Ogre::TEXCALC_ENVIRONMENT_MAP_REFLECTION, Ogre::TEXCALC_ENVIRONMENT_MAP_NORMAL, Ogre::TEXCALC_PROJECTIVE_TEXTURE }
| Enum describing the ways to generate texture coordinates. More...
enum | Ogre::StencilOperation { Ogre::SOP_KEEP, Ogre::SOP_ZERO, Ogre::SOP_REPLACE, Ogre::SOP_INCREMENT, Ogre::SOP_DECREMENT, Ogre::SOP_INCREMENT_WRAP, Ogre::SOP_DECREMENT_WRAP, Ogre::SOP_INVERT }
| Enum describing the various actions which can be taken onthe stencil buffer. More...

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:25